﻿using System;
using System.Collections.Generic;
using System.Windows.Controls;
using Telerik.Windows.Controls.Charting;
using System.Windows;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;
using System.ComponentModel;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var data = new List<ChartData>();
            data.Add(new ChartData() { YValue = 1 });
            data.Add(new ChartData() { YValue = 2 });
            data.Add(new ChartData() { YValue = 3 });
            data.Add(new ChartData() { YValue = 4 });
            data.Add(new ChartData() { YValue = 6 });
            data.Add(new ChartData() { YValue = 7 });

            SeriesMapping sm = new SeriesMapping();
            sm.ItemMappings.Add(new ItemMapping("YValue", DataPointMember.YValue));
            sm.SeriesDefinition = new CustomScatterSeriesDefinition() { ItemStyle = this.LayoutRoot.Resources["ScatterStyle"] as Style, PointSize = 20 };

            RadChart1.SeriesMappings.Add(sm);
            RadChart1.ItemsSource = data;
        }
    }

    public class ChartData
    {
        public double YValue
        {
            get;
            set;
        }

        public SolidColorBrush Color
        {
            get
            {
                if (this.YValue > 5)
                    return new SolidColorBrush(Colors.Green);

                return new SolidColorBrush(Colors.Red);
            }
        }
    }
}
